Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("SQL Imports")> _
Public Class SQLImports
    Inherits BaseObject
    Private _SQLServer As String
    Private _SQLUser As String
    Private _SQLPassword As String
    Private _CustomersFrom As CustomersFrom
    Private _DateFrom As Date
    Private _DateTo As Date
    Private _Override As Boolean = False
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property SQLServer As String
        Get
            Return _SQLServer
        End Get
        Set(ByVal value As String)
            SetPropertyValue("SQLServer", _SQLServer, value)
        End Set
    End Property
    Property SQLUser As String
        Get
            Return _SQLUser
        End Get
        Set(ByVal value As String)
            SetPropertyValue("SQLUser", _SQLUser, value)
        End Set
    End Property
    Property SQLPassword As String
        Get
            Return _SQLPassword
        End Get
        Set(ByVal value As String)
            SetPropertyValue("SQLPassword", _SQLPassword, value)
        End Set
    End Property
    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(ByVal value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property DateFrom As Date
        Get
            Return _DateFrom
        End Get
        Set(value As Date)
            SetPropertyValue("DateFrom", _DateFrom, value)
        End Set
    End Property
    Property DateTo As Date
        Get
            Return _DateTo
        End Get
        Set(value As Date)
            SetPropertyValue("DateTo", _DateTo, value)
        End Set
    End Property
    Property Override As Boolean
        Get
            Return _Override
        End Get
        Set(value As Boolean)
            SetPropertyValue("Override", _Override, value)
        End Set
    End Property
    <VisibleInListView(False)> _
    ReadOnly Property BankInformation As XPCollection(Of BankInformation)
        Get
            Return New XPCollection(Of BankInformation)(Session, CriteriaOperator.Parse("LiquidAssests.CustomerFrom=?", Me.CustomersFrom))
        End Get
    End Property
    <VisibleInListView(False)> _
    ReadOnly Property LiquidAssets_Cassa As XPCollection(Of LiquidAssets)
        Get
            Return New XPCollection(Of LiquidAssets)(Session, CriteriaOperator.Parse("LiquidAssetsType in (0,2,4)"))
        End Get
    End Property
    <VisibleInListView(False)> _
        ReadOnly Property LiquidAssets_Compensation As XPCollection(Of LiquidAssets)
        Get
            Return New XPCollection(Of LiquidAssets)(Session, CriteriaOperator.Parse("LiquidAssetsType=3"))
        End Get
    End Property
    <VisibleInListView(False)> _
        ReadOnly Property LiquidAssets_SpecTran As XPCollection(Of LiquidAssets)
        Get
            Return New XPCollection(Of LiquidAssets)(Session, CriteriaOperator.Parse("LiquidAssetsType=5"))
        End Get
    End Property

End Class

